package ro.ucv.market;
/**
 * Implement a Book.
 *
 *@created  02 aprilie 2006
 */
public class Book {
		/**
		 *  The book title.
		 */
		private String title;
		/**
		 *  The book author.
		 */
		private String author;
		/**
		 *  The book price.
		 */
		private double price;

		/**
		 *  Constructor pentru <code>Book</code>.
		 *
		 *@param  title The book title.
		 *@param  author The book author.
		 *@param  price The book price.
		 */
		public Book(String title, String author, double price) {
				this.title = title;
				this.author = author;
				this.price = price;
		}


		/**
		 *  Get book title.
		 *
		 *@return  The book title.
		 */
		public String getTitle() {
				return title;
		}


		/**
		 *  Get book author.
		 *
		 *@return  The book author.
		 */
		public String getAuthor() {
				return author;
		}


		/**
		 *  Get book price.
		 *
		 *@return  The book price.
		 */
		public double getPrice() {
				return price;
		}


		/**
		 *  Test if two Book objects are equals.
		 *
		 *@param  obj The object
		 *@return  <code>true</code> if object are equals.
		 */
		public boolean equals(Object obj) {
				if (obj instanceof Book) {
						Book b = (Book) obj;
						return b.getTitle().equals(title);
				}
				return false;
		}
}
